Bug 1026030 - [abrt] cmake-2.8.12-2.fc19: cmake::ExecuteCMakeCommand: Process /usr/bin/cmake was killed by signal 11 (SIGSEGV)
[abrt] cmake-2.8.12-2.fc19: cmake::ExecuteCMakeCommand: Process /usr/bin/cmak...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7b5b91765899ac08590a98a0c4a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 17:29 EDT by Louis Strous
Modified: 2013-11-06 09:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 09:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (145.38 KB, text/plain)
2013-11-02 17:29 EDT, Louis Strous
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-02 17:29 EDT, Louis Strous
no flags Details
File: core_backtrace (1.22 KB, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: dso_list (3.63 KB, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: environ (4.15 KB, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: maps (18.27 KB, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: open_fds (105 bytes, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details
File: var_log_messages (396 bytes, text/plain)
2013-11-02 17:30 EDT, Louis Strous
no flags Details

  None (edit)
Description Louis Strous 2013-11-02 17:29:42 EDT
Version-Release number of selected component:
cmake-2.8.12-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/cmake -E cmake_automoc /home/strous/src/stellarium-0.12.4/plugins/Exoplanets/src/CMakeFiles/Exoplanets-static_automoc.dir/
crash_function: cmake::ExecuteCMakeCommand
executable:     /usr/bin/cmake
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 cmake::ExecuteCMakeCommand at /usr/src/debug/cmake-2.8.12/Source/cmake.cxx:1740
 #1 do_cmake at /usr/src/debug/cmake-2.8.12/Source/cmakemain.cxx:513
Comment 1 Louis Strous 2013-11-02 17:29:54 EDT
Created attachment 818626 [details]
File: backtrace
Comment 2 Louis Strous 2013-11-02 17:29:57 EDT
Created attachment 818627 [details]
File: cgroup
Comment 3 Louis Strous 2013-11-02 17:30:01 EDT
Created attachment 818628 [details]
File: core_backtrace
Comment 4 Louis Strous 2013-11-02 17:30:05 EDT
Created attachment 818629 [details]
File: dso_list
Comment 5 Louis Strous 2013-11-02 17:30:09 EDT
Created attachment 818630 [details]
File: environ
Comment 6 Louis Strous 2013-11-02 17:30:13 EDT
Created attachment 818631 [details]
File: exploitable
Comment 7 Louis Strous 2013-11-02 17:30:17 EDT
Created attachment 818632 [details]
File: limits
Comment 8 Louis Strous 2013-11-02 17:30:21 EDT
Created attachment 818634 [details]
File: maps
Comment 9 Louis Strous 2013-11-02 17:30:24 EDT
Created attachment 818635 [details]
File: open_fds
Comment 10 Louis Strous 2013-11-02 17:30:28 EDT
Created attachment 818636 [details]
File: proc_pid_status
Comment 11 Louis Strous 2013-11-02 17:30:31 EDT
Created attachment 818637 [details]
File: var_log_messages
Comment 12 Orion Poplawski 2013-11-04 22:25:43 EST
Filed upstream: http://public.kitware.com/Bug/view.php?id=14545

Can you reproduce this?
Comment 13 Orion Poplawski 2013-11-05 21:53:14 EST
This is fixed upstream and will make it out in the next release.  Was the cmake -E automoc line called by hand, or by cmake?
Comment 14 Louis Strous 2013-11-06 07:33:21 EST
(In reply to Orion Poplawski from comment #13)
> This is fixed upstream and will make it out in the next release.  Was the
> cmake -E automoc line called by hand, or by cmake?

cmake called it.  I called cmake -DCMAKE_BUILD_TYPE=Debug
Comment 15 Louis Strous 2013-11-06 07:35:00 EST
(In reply to Orion Poplawski from comment #12)
> Filed upstream: http://public.kitware.com/Bug/view.php?id=14545
> 
> Can you reproduce this?

No, unfortunately not.

Note You need to log in before you can comment on or make changes to this bug.